# Zones

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Zones in the platform.**

## Queries

### Query Zones

[fetch SDL for query zones](#graphql-partial-sdls).

### Get Zone

[fetch SDL for query zone](#graphql-partial-sdls).

## Mutations

### Create Zone

[fetch SDL for mutation createZone](#graphql-partial-sdls).

### Update Zone

[fetch SDL for mutation updateZone](#graphql-partial-sdls).

### Delete Zone

[fetch SDL for mutation deleteZone](#graphql-partial-sdls).

## Output types

### Zone

[fetch SDL for type Zone](#graphql-partial-sdls).

### ZoneQueryResult

[fetch SDL for type ZoneQueryResult](#graphql-partial-sdls).

## Input types

### CreateZone

[fetch SDL for type CreateZone](#graphql-partial-sdls).

### ZoneLocation

[fetch SDL for type ZoneLocation](#graphql-partial-sdls).

### ZoneUpdateAction

[fetch SDL for type ZoneUpdateAction](#graphql-partial-sdls).

### Update actions

#### Add Location

[fetch SDL for type AddZoneLocation](#graphql-partial-sdls).

#### Change Name

[fetch SDL for type ChangeZoneName](#graphql-partial-sdls).

#### Remove Location

[fetch SDL for type RemoveZoneLocation](#graphql-partial-sdls).

#### Set Description

[fetch SDL for type SetZoneDescription](#graphql-partial-sdls).

#### Set Key

[fetch SDL for type SetZoneKey](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)